@import url("https://fonts.googleapis.com/css2?family=Lato:wght@300&display=swap");

/* Utilities Start */

:root {
	--primary-color: #047aed;
	--secondary-color: #1c3fa8;
	--dark-color: #002240;
	--light-color: #f4f4f4;
	--success-color: #5cb85c;
	--error-color: #d9534f;
}

* {
	box-sizing: border-box;
	padding: 0;
	margin: 0;
}

body {
	font-family: "Lato", sans-serif;
	color: #333;
	line-height: 1.6;
}

code,
pre {
	background: #333;
	color: #fff;
	padding: 10px;
}

.hidden {
	visibility: hidden;
	height: 0;
}
ul {
	list-style-type: none;
}
a {
	text-decoration: none;
	color: #333;
}
img {
	width: 100%;
}

.grid {
	display: grid;
	grid-template-columns: repeat(2, 1fr);
	justify-content: center;
	align-items: center;
	height: 100%;
}
.btn {
	display: inline-block;
	padding: 10px 20px;
	cursor: pointer;
	border: none;
	border-radius: 5px;
	background-color: var(--primary-color);
}
.btn:hover {
	transform: scale(0.98);
}
.card {
	color: #333;
	padding: 30px;
	box-shadow: 0 3px 10px 0 rgba(0, 0, 0, 0.2), 0 6px 20px 0 rgba(0, 0, 0, 0.19);
	border-radius: 10px;
	margin: 10px;
}
.btn-primary {
	color: #fff;
}
.grid-3 {
	grid-template-columns: repeat(3, 1fr);
}

/* Utilities End */

.navbar {
	background: var(--primary-color);
	color: #fff;
	overflow: auto;
	height: 70px;
}
.navbar .flex {
	display: flex;
	justify-content: space-between;
	align-items: center;
}

.container {
	max-width: 1100px;
	margin: 0 auto;
}
.navbar ul {
	list-style: none;
	margin: 0;
	padding: 0;
	display: flex;
}
.navbar a {
	color: #fff;
	padding: 10px;
	margin: 0 5px;
	text-decoration: none;
}

.navbar a:hover {
	border-bottom: 3px #fff solid;
}

.showcase {
	height: 400px;
	background-color: var(--primary-color);
	color: #fff;
	position: relative;
}

.showcase::before,
.showcase::after {
	content: "";
	height: 100px;
	position: absolute;
	background: #fff;
	bottom: -70px;
	right: 0;
	left: 0;
	/* width: 100%; */
	transform: skewY(-3deg);
}

.showcase .grid {
	grid-template-columns: 55% 45%;
	gap: 30px;
	/* overflow: visible; */
}

.showcase-text h1 {
	font-size: 40px;
}

.showcase-text p {
	margin: 20px 0;
}

.btn-outline {
	background-color: transparent;
	border: 1px solid #fff;
	color: #fff;
}

.showcase-text {
	animation: slideInFromLeft 1s ease-in;
}

.showcase-form {
	background-color: #fff;
	position: relative;
	height: 350px;
	width: 400px;
	top: 60px;
	z-index: 100;
	padding: 40px;
	justify-self: flex-end;
	animation: slideInFromRight 1s ease-in;
}

.showcase-form .form-control {
	margin: 20px 0;
}

.form-control input[type="text"],
.form-control input[type="email"] {
	border: 0;
	border-bottom: 1px solid #b4becb;
	padding: 3px;
	width: 100%;
}

.showcase-form input:focus {
	outline: none;
}

.stats {
	padding-top: 100px;
	animation: slideInFromBottom 1s ease-in;
}

.stats-heading {
	max-width: 500px;
	margin: auto;
}

.stats .grid h3 {
	font-size: 35px;
}

.stats .grid p {
	font-size: 20px;
	font-weight: bold;
}

.text-center {
	text-align: center;
}

.cli .grid {
	grid-template-columns: repeat(3, 1fr);
	grid-template-rows: repeat(2, 1fr);
}

.cli .grid :first-child {
	grid-column: 1 / span 2;
	grid-row: 1 / span 3;
}

.cloud {
	color: #fff;
	background-color: var(--primary-color);
}

.cloud .grid {
	grid-template-columns: 4fr 2fr;
}

/* Languages */
.languages .flex {
	flex-wrap: wrap;
}

.languages .card {
	text-align: center;
	margin: 18px 10px 40px;
	transition: transform 0.2s ease-in;
}

.languages .card h4 {
	margin-bottom: 10px;
	font-size: 20px;
}

.languages .card:hover {
	transform: translateY(-15px);
}

/* Features */

.features-head img {
	width: 200px;
	justify-self: flex-end;
}

.features-sub-head img,
.docs-head img {
	width: 300px;
	justify-self: flex-end;
}

.features-main .card > i {
	margin-right: 20px;
}

.features-main .grid {
	padding: 30px;
	gap: 30px;
}

.features-main .grid .card:nth-child(1) {
	grid-column: 1 / span 3;
}

.features-main .grid .card:nth-child(2) {
	grid-column: 1 / span 2;
}

/* Docs */

.docs-main h3 {
	margin: 20px 0;
}

.docs-main .grid {
	grid-template-columns: 1fr 2fr;
	align-items: flex-start;
}

.docs-main nav li {
	font-size: 17px;
	padding-bottom: 5px;
	margin-bottom: 5px;
	border-bottom: 1px #ccc solid;
}

.docs-main nav li {
	font-size: 17px;
}

.docs-main a:hover {
	font-weight: bold;
}

.footer .social a {
	margin: 0 10px;
}

/* Animations */
@keyframes slideInFromLeft {
	0% {
		transform: translateX(-100%);
	}

	100% {
		transform: translateX(0);
	}
}

@keyframes slideInFromRight {
	0% {
		transform: translateX(100%);
	}

	100% {
		transform: translateX(0);
	}
}

@keyframes slideInFromTop {
	0% {
		transform: translateY(-100%);
	}

	100% {
		transform: translateX(0);
	}
}

@keyframes slideInFromBottom {
	0% {
		transform: translateY(100%);
	}

	100% {
		transform: translateX(0);
	}
}

@media (max-width: 768px) {
	.showcase {
		height: auto;
	}

	.grid,
	.showcase .grid,
	.stats .grid,
	.cli .grid,
	.cloud .grid,
	.features-main .grid,
	.docs-main .grid {
		grid-template-columns: 1fr;
		grid-template-rows: 1fr;
	}

	.features-main .grid .card:nth-child(1),
	.features-main .grid .card:nth-child(2) {
		grid-column: 1;
	}

	.features-head,
	.features-sub-head,
	.docs-head,
	.showcase-text {
		text-align: center;
	}

	.features-head img,
	.features-sub-head img,
	.docs-head img {
		justify-self: center;
	}

	.showcase-form,
	.features-head img {
		justify-self: center;
	}

	.cli .grid :first-child {
		grid-column: 1;
		grid-row: 1 / span 3;
	}

	.footer .grid * {
		padding: 10px;
		text-align: center;
		justify-content: center;
	}
}

@media screen and (max-width: 500px) {
	.navbar {
		height: 120px;
	}
	.navbar .flex {
		flex-direction: column;
	}
	.navbar ul {
		padding: 15px;
		background-color: rgba(0, 0, 0, 0.1);
	}
	.showcase-form {
		width: 300px;
	}
}
